cURL
curl --request GET \ --url https://api.ai2fin.com/api/transaction-categories/{transactionId} \ --header 'Authorization: Bearer <token>'
{ "success": true, "categories": [ { "id": "<string>", "transactionId": "<string>", "categoryId": "<string>", "categorySetId": "<string>", "userId": "<string>", "isPrimary": true, "confidence": 0.5, "assignedAt": "2023-11-07T05:31:56Z", "notes": "<string>", "category": { "id": "<string>", "name": "<string>", "icon": "<string>", "color": "<string>", "isTaxDeductible": true, "taxCategory": "<string>", "defaultGstRate": 123 } } ] }
Get all categories assigned to a transaction.
Documentation IndexFetch the complete documentation index at: https://docs.ai2fin.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ai2fin.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token obtained from /api/enterprise-auth/login endpoint. Use for standard API access and OAuth-based integrations.
Categories retrieved
Show child attributes
Was this page helpful?